import { Options } from '../types.js';
import { GitHub } from './getGitHub.js';
import 'zod';
import '../codes.js';
import 'octokit';

type EnsureRepositoryExistsOptions = Pick<Options, "mode" | "owner" | "preserveGeneratedFrom" | "repository">;
interface RepositoryExistsResult {
    github: GitHub | undefined;
    repository: string;
}
declare function ensureRepositoryExists(github: GitHub | undefined, options: EnsureRepositoryExistsOptions): Promise<Partial<RepositoryExistsResult>>;

export { type EnsureRepositoryExistsOptions, type RepositoryExistsResult, ensureRepositoryExists };
