import { readPackageData } from "../packages.js";
const commonScripts = /* @__PURE__ */ new Set(["lint:knip", "should-semantic-release", "test"]);
const everythingScripts = /* @__PURE__ */ new Set([
  "lint:md",
  "lint:package-json",
  "lint:packages",
  "lint:spelling"
]);
async function getBase() {
  const scripts = Object.keys((await readPackageData()).scripts ?? {});
  if (scripts.reduce(
    (acc, curr) => everythingScripts.has(curr) ? acc + 1 : acc,
    0
  ) >= 3) {
    return "everything";
  }
  if (scripts.reduce(
    (acc, curr) => commonScripts.has(curr) ? acc + 1 : acc,
    0
  ) >= 2) {
    return "common";
  }
  return "minimum";
}
export {
  getBase
};
//# sourceMappingURL=getBase.js.map